# MPI_File_iwrite

Nonblocking write using individual file pointer

## Synopsis

    #ifdef HAVE_MPI_GREQUEST
    #include "mpiu_greq.h"
    #endif

    int MPI_File_iwrite(MPI_File mpi_fh, void *buf, int count,
                       MPI_Datatype datatype, MPI_Request *request)

## Input Parameters

fh
  file handle (handle)

buf
  initial address of buffer (choice)

count
  number of elements in buffer (nonnegative integer)

datatype
  datatype of each buffer element (handle)

## Output Parameters

request
  request object (handle)

Location:iwrite.c